package com.yidianling.ydlcommon.custom.http;

import java.io.IOException;

/**
 * Created by Jim on 2017/12/9 0009.
 */

 class ResultException extends IOException {
    private int errorCode;
    private String errorMsg;

    public ResultException(int errorCode, String msg) {
        this.errorCode = errorCode;
        this.errorMsg = msg;
    }

    public int getErrorCode() {
        return errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorCode(int errorCode) {
        this.errorCode = errorCode;
    }

    public void setErrorMsg(String msg) {
        this.errorMsg = msg;
    }
}
